<!-- START doctoc generated TOC please keep comment here to allow auto update -->
<!-- DON'T EDIT THIS SECTION, INSTEAD RE-RUN doctoc TO UPDATE -->

- [Running the Service Locally](#running-the-service-locally)
- [Running Tests](#running-tests)
- [Package Release](#package-release)

<!-- END doctoc generated TOC please keep comment here to allow auto update -->

# Running the Service Locally

```shell
yarn mp:start

```

- The service will be available at: `http://localhost:7710`

# Running Tests

- run unit tests

```shell
cd apps/message-processor/
yarn test:unit
yarn test:unit:coverage

```

- run integration tests

```shell
cd apps/message-processor/
yarn test:integration
yarn test:integration:coverage

```

# Package Release

- Reset all current changes, checkout and update current development branch(`dev`)

```shell
git checkout -- ./
git checkout dev
git pull origin dev

```

- Update [CHANGELOG.md](CHANGELOG.md) to add release date to latest version

- Run scripts for version increment

```shell
yarn version:patch:mp

```

- Create new build branch (`master_mp`)

```shell
git branch -D master_mp
git branch master_mp

```

- Make **force push**(for the case if `master_mp` branch already exists from branch differ than `dev`)

```shell
git push origin master_mp -f 

```

- Check build progress
  in [jenkins](https://jenkins.rpplabs.com/job/rtls-web-team/job/rtls-platform-message-processor/job/master_mp/)
- After build complete package will locate in [repository](https://repo.rpplabs.com/ubuntu/)
  as `rtls-platform-message-processor_*`
