/**
 * @function
 * @param {Object} anchor - database anchor
 * @return {Object} - anchor
 */
export function formatAnchorResponse(anchor) {
    const responseAnchor = { ...anchor };

    if (!('node_mac' in responseAnchor)) {
        responseAnchor.node_mac = null;
    }

    if (responseAnchor.position) {
        responseAnchor.position.x = Number(responseAnchor.position.x);
        responseAnchor.position.y = Number(responseAnchor.position.y);
        responseAnchor.position.z = Number(responseAnchor.position.z);
    }

    return {
        ...responseAnchor,
        bridge: responseAnchor.bridge ? !!Number(responseAnchor.bridge) : false,
    };
}

/**
 * @function
 * @param {Array<Object>} anchors - database anchor
 * @return {Array<Object>} - anchors
 */
export function formatAnchorResponseList(anchors) {
    return anchors.map(formatAnchorResponse);
}
