import UseCaseBase from '../UseCaseBase.mjs';
import { Anchor, NodeAssociation } from '../../models/index.mjs';

export class AnchorDelete extends UseCaseBase {
    static validationRules = {
        uid: ['strict_string', 'required'],
    };

    async execute(params) {
        const { nodeAssociation } = await new Anchor().loadWithAssociation(params);
        if (nodeAssociation) {
            await new NodeAssociation().close(nodeAssociation);
            await this.notificator.notify(NodeAssociation.deletedMessage(nodeAssociation));
        }

        await new Anchor().remove(params);

        await this.notificator.notify(Anchor.deletedMessage(params));

        return params;
    }
}
