import UseCaseBase from '../UseCaseBase.mjs';
import { Anchor } from '../../models/index.mjs';

export class AnchorUpdate extends UseCaseBase {
    static validationRules = {
        uid: ['strict_string', 'required'],
        name: ['strict_string', 'not_empty'],
        bridge: ['strict_bool', 'not_empty'],
        position: [{
            nested_object: {
                x: ['strict_integer', 'required'],
                y: ['strict_integer', 'required'],
                z: ['strict_integer', 'required'],
                sublocation_uid: ['strict_string', 'not_empty', 'required']
            }
        }]
    };

    async execute(params) {
        const anchor = await new Anchor().update(params);

        await this.notificator.notify(Anchor.updatedMessage(anchor));

        return anchor;
    }
}
