import UseCaseBase from '../UseCaseBase.mjs';
import { NetworkSetting } from '../../models/index.mjs';

export class NetworkSettingDelete extends UseCaseBase {
    static validationRules = {
        location_uid: ['strict_string', 'not_empty', 'required'],
    };

    async execute(params) {
        const networkSetting = await new NetworkSetting().remove(params);

        await this.notificator.notify(NetworkSetting.deletedMessage(networkSetting));

        return params;
    }
}
