import UseCaseBase from '../UseCaseBase.mjs';
import { Node } from '../../models/index.mjs';

export class NodeSave extends UseCaseBase {
    static validationRules = {
        mac: ['not_empty', 'mac_address', 'required'],
    };

    /**
     *
     * @param {Object} options
     * @param {String} options.mac
     * @returns {Promise<Object>}
     */
    async execute(options) {
        const node = await new Node().save(options);

        await this.notificator.notify(Node.savedMessage(node));

        return node;
    }
}
