import UseCaseBase from '../UseCaseBase.mjs';
import { Anchor, NodeAssociation, Sublocation } from '../../models/index.mjs';

export class SublocationDelete extends UseCaseBase {
    static validationRules = {
        uid: ['strict_string', 'required'],
    };

    async execute(params) {
        const { anchors, nodeAssociations } = await new Sublocation().loadWithChildren(params);

        for (const nodeAssociation of nodeAssociations) {
            await new NodeAssociation().close(nodeAssociation);
            await this.notificator.notify(NodeAssociation.deletedMessage(nodeAssociation));
        }

        for (const anchor of anchors) {
            await new Anchor().remove(anchor);
            await this.notificator.notify(Anchor.deletedMessage({ uid: anchor.uid }));
        }

        await new Sublocation().remove(params);
        await this.notificator.notify(Sublocation.deletedMessage(params));

        return params;
    }
}
