import UseCaseBase from '../UseCaseBase.mjs';
import { Tag, TagAssociation } from '../../models/index.mjs';

export class TagDelete extends UseCaseBase {
    static validationRules = {
        mac: ['mac_address', 'required'],
    };

    async execute(options) {
        const { association } = await new Tag().loadWithAssociation(options);
        if (association) {
            await new TagAssociation().close(association);
            await this.notificator.notify(TagAssociation.deletedMessage(association));
        }

        await new Tag().remove(options);
        await this.notificator.notify(Tag.deletedMessage(options));

        return options;
    }
}
