import UseCaseBase from '../UseCaseBase.mjs';
import { Tag } from '../../models/index.mjs';

export class TagSave extends UseCaseBase {
    static validationRules = {
        mac: ['not_empty', 'mac_address', 'required'],
    };

    /**
     *
     * @param {Object} options
     * @param {String} options.mac
     * @returns {Promise<Object>}
     */
    async execute(options) {
        const tag = await new Tag().save(options);

        await this.notificator.notify(Tag.savedMessage(tag));

        return tag;
    }
}
