import UseCaseBase from '../UseCaseBase.mjs';
import { TagAssociation } from '../../models/index.mjs';

export class TagAssociationSave extends UseCaseBase {
    static validationRules = {
        mac: ['not_empty', 'mac_address', 'required'],
        trackable_uid: ['strict_string', 'not_empty', 'required'],
    };

    async execute(options) {
        const savedTagAssociation = await new TagAssociation().save(options);

        await this.notificator.notify(TagAssociation.savedMessage(savedTagAssociation));

        return savedTagAssociation;
    }
}
