import UseCaseBase from '../UseCaseBase.mjs';
import { TagAssociation, Trackable } from '../../models/index.mjs';

export class TrackableDelete extends UseCaseBase {
    static validationRules = {
        uid: ['strict_string', 'required'],
    };

    async execute(params) {
        const tko = new Trackable();
        const { tagAssociation, trackable } = await tko.loadWithAssociation(params);

        const removed = await tko.remove(params);

        if (removed && trackable) {
            if (tagAssociation) {
                await this.notificator.notify(TagAssociation.deletedMessage(tagAssociation));
            }
            await this.notificator.notify(Trackable.deletedMessage(params));
        }

        return params;
    }
}
