export default class ModelBase {
    /**
     * @typedef {Class} ModelBase
     */

    /**
     * @type {Repository}
     */
    platformRepositoryInstance = null;

    /**
     * @type {Repository}
     */
    solutionRepositoryInstance = null;

    constructor() {
        this.platformRepositoryInstance = ModelBase.platformRepositoryInstance;
        this.solutionRepositoryInstance = ModelBase.solutionRepositoryInstance;
        this.object = 'none';
    }

    /**
     * @static
     * @return {Repository}
     */
    static platformRepositoryInstance = null;

    /**
     * @static
     * @return {Repository}
     */
    static solutionRepositoryInstance = null;

    /**
     * @static
     * @method
     */
    static setPlatformRepository(repository) {
        ModelBase.platformRepositoryInstance = repository;
    }
    
    /**
     * @static
     * @method
     */
    static setSolutionRepository(repository) {
        ModelBase.solutionRepositoryInstance = repository;
    }
}
