import { TrackableRepository, AnchorRepository, LocationRepository, SublocationRepository, NodeRepository, AssocRepository } from './documents/index.mjs';

export class Repository {
    /**
     * @typedef {Class} Repository
     */

    /**
     * @type {TrackableRepository} returns DB access to trackables
     */
    trackable = null;

    /**
     *
     * @type {NodeRepository} returns DB access to node
     */

    node = null;

    /**
     * @type {AnchorRepository} returns DB access to anchors
     */
    anchor = null;

    /**
     * @type {LocationRepository} returns DB access to locations
     */
    location = null;

    /**
     * @type {SublocationRepository} returns DB access to locations
     */
    sublocation = null;

    /**
     * @type {AssocRepository} returns DB access to associations
     */
    association = null;

    /**
     * @param {Object} options - repository options
     * @param {Object} options.repositoryInstance - database connection
     */
    constructor(options) {
        this.trackable = new TrackableRepository(options);
        this.anchor = new AnchorRepository(options);
        this.location = new LocationRepository(options);
        this.sublocation = new SublocationRepository(options);
        this.node = new NodeRepository(options);
        this.association = new AssocRepository(options);
    }
}
