import diff from 'diff-arrays-of-objects'; // todo: use our implementation to reduce dependencies from low used libs with not controlled api
import { Anchor } from '../../models/index.mjs';
import { logSyncReport } from '../../utils/index.mjs';

export async function syncAnchors() {
    const anchor = new Anchor();
    const solutionItems = await anchor.collectSolutionEntities();
    const platformItems = await anchor.collectPlatformEntities();

    const { added, updated, removed, same } = diff(platformItems, solutionItems, 'uid');

    await anchor.removeInPlatform(removed);
    await anchor.updateInPlatform(updated);
    await anchor.addToPlatform(added);

    logSyncReport('Anchors', added, updated, removed, same);
}
