import diff from 'diff-arrays-of-objects';
import { Location } from '../../models/index.mjs';
import { logSyncReport } from '../../utils/index.mjs';

export async function syncLocations() {
    const location = new Location();
    const solutionItems = await location.collectSolutionEntities();
    const platformItems = await location.collectPlatformEntities();

    const { added, updated, removed, same } = diff(platformItems, solutionItems, 'uid');
    
    await location.removeInPlatform(removed);
    await location.updateInPlatform(updated);
    await location.addToPlatform(added);
    
    logSyncReport('Locations', added, updated, removed, same);
}
