import diff from 'diff-arrays-of-objects';
import { Sublocation } from '../../models/index.mjs';
import { logSyncReport } from '../../utils/index.mjs';

export async function syncSublocations() {
    const sublocation = new Sublocation();
    const solutionItems = await sublocation.collectSolutionEntities();
    const platformItems = await sublocation.collectPlatformEntities();
    
    const { added, updated, removed, same } = diff(platformItems, solutionItems, 'uid');
    
    await sublocation.removeInPlatform(removed);
    await sublocation.updateInPlatform(updated);
    await sublocation.addToPlatform(added);

    logSyncReport('Sublocations', added, updated, removed, same);
}
