import logger from '../logger.mjs';

/**
 * @param {string} str
 * @return {Object|undefined}
 */
export function parseSafe(str) {
    if (str === null || str === undefined) {
        return str;
    }
    if (typeof str === 'object') {
        logger.warn(`Attempt to parse object detected: `, str);
        return str;
    }
    try {
        return JSON.parse(str);
    } catch (e) {
        logger.error(`Error parsing string: `, str);
        return undefined;
    }
}
