import RepoRedisBase from '../RepoRedisBase.mjs';

/**
* @typedef PlatformLocation {Object}
* @property uid {String}
* @property name {String}
* @property network_id {Number}
* @property created_at {String} ISO date
* @property updated_at {String} ISO date
*/

export class LocationRepository extends RepoRedisBase {
    /**
     * @typedef {Class} LocationRepository
     */

    /**
     * @param {Object} options - repository options
     * @param {Object} options.repositoryInstance - database connection
     * @param {String} options.prefix - database prefix
     */
    constructor(options) {
        const { prefix, repositoryInstance } = options;

        super(repositoryInstance, `${prefix}:location`);
    }
}
