import { IdBaseRepository } from './IdBaseRepository.mjs';

export class NetworkIdRepository extends IdBaseRepository {
    /**
     * @typedef {Class} NetworkIdRepository
     */

    /**
     * @param {Object} options - repository options
     * @param {Object} options.repositoryInstance - database connection
     * @param {String} options.prefix - database prefix
     */
    constructor(options) {
        const { networkIdLimit } = options;
        super({ ...options, maxIdValue: networkIdLimit}, 'network_id');
    }
}
